/*
 * Copyright (C) 2006-2007 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.codehaus.groovy.maven.runtime.support.stubgen.model;

import java.util.Map;

/**
 * Representation of Javadoc tag definition.
 *
 * @version $Id: TagDef.java 15453 2009-02-23 14:45:33Z user57 $
 * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
 */
public class TagDef
    extends NamedElement
{
    private String value;

    private String[] parameters;

    private Map namedParameters;

    public String getValue() {
        return value;
    }

    public void setValue(final String value) {
        this.value = value;
    }

    public String[] getParameters() {
        return parameters;
    }

    public void setParameters(final String[] parameters) {
        this.parameters = parameters;
    }

    public Map getNamedParameters() {
        return namedParameters;
    }

    public void setNamedParameters(final Map namedParameters) {
        this.namedParameters = namedParameters;
    }
}